Fork me on GitHub"

# skbio.stats.distance.DissimilarityMatrix.index

DissimilarityMatrix.index(lookup_id)

  Return the index of the specified ID.

  State: Experimental as of 0.4.0.

  Parameters:

    lookup_id (str) – ID whose index will be returned.

  Returns:

    Row/column index of lookup_id.

  Return type:

    int

  Raises:

    MissingIDError – If lookup_id is not in the dissimilarity matrix.